org.springframework.data.repository.core.support

## Class RepositoryFragmentsFactoryBean<T>

- java.lang.Object
- - org.springframework.data.repository.core.support.RepositoryFragmentsFactoryBean<T>

All Implemented Interfaces:
  Aware, BeanFactoryAware, FactoryBean<RepositoryComposition.RepositoryFragments>, InitializingBean

    public class RepositoryFragmentsFactoryBean<T>
    extends Object
    implements FactoryBean<RepositoryComposition.RepositoryFragments>, BeanFactoryAware, InitializingBean

Factory bean for creation of `RepositoryComposition.RepositoryFragments`. This `FactoryBean` uses named `bean references` to look up `RepositoryFragment` beans and construct `RepositoryComposition.RepositoryFragments`.

Since:
  2.0
Author:
  Mark Paluch

### Field Summary

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

### Constructor Summary

Constructors
Constructor and Description
`RepositoryFragmentsFactoryBean(List<String> fragmentBeanNames)` Creates a new `RepositoryFragmentsFactoryBean` given `fragmentBeanNames`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `afterPropertiesSet()`
`RepositoryComposition.RepositoryFragments` `getObject()`
`Class<?>` `getObjectType()`
`void` `setBeanFactory(BeanFactory beanFactory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.beans.factory.FactoryBean

`isSingleton`

### Constructor Detail

#### RepositoryFragmentsFactoryBean

    public RepositoryFragmentsFactoryBean(List<String> fragmentBeanNames)

Creates a new `RepositoryFragmentsFactoryBean` given `fragmentBeanNames`.

Parameters:
  `fragmentBeanNames` - must not be null.

### Method Detail

#### setBeanFactory

    public void setBeanFactory(BeanFactory beanFactory)
                        throws BeansException

Specified by:
  `setBeanFactory` in interface `BeanFactoryAware`
Throws:
  `BeansException`

#### afterPropertiesSet

    public void afterPropertiesSet()

Specified by:
  `afterPropertiesSet` in interface `InitializingBean`

#### getObject

    @Nonnull
    public RepositoryComposition.RepositoryFragments getObject()
                                                                 throws Exception

Specified by:
  `getObject` in interface `FactoryBean<RepositoryComposition.RepositoryFragments>`
Throws:
  `Exception`

#### getObjectType

    @Nonnull
    public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `FactoryBean<RepositoryComposition.RepositoryFragments>`